Subject: bug#47234: 28.0.50; frame-inner-height fails without window system on tab-bar-height

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Mar 2021 22:05:02 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 18 Mar 2021 21:00:41 +0200
> 
> >> Please note this should be fixed on the release branch in Emacs 27.2
> >> because the change in commit 6c5ddf0e0b was recently made in emacs-27.
> >
> > Why does it have to be done in Emacs 27.2?
> >
> > Please be aware that Emacs 27.2 is all but released at this point.
> 
> Martin said that the commit 6c5ddf0e0b added recently in emacs-27
> should be reverted from Emacs 27.2.
> 
> >> I wonder why only tab-bar-height was added to frame-inner-height,
> >> why not menu-bar-height as well?  Moreover, such function as
> >> menu-bar-height doesn't exist at all.  Why only tab-bar-height is needed?
> >
> > Maybe tab-bar-height is not needed in this case, either.  We could
> > instead modify the code that attempts to call it.
> 
> Grepping shows that the only code that calls frame-inner-height
> is mouse-drag-frame-resize.

Thanks.

After thinking some more about this, I think we should leave the
frame.el part of 6c5ddf0e0b alone, but augment it with the fboundp
test, such that on TTY frames the tab bar would be included in the
frame's inner height, like the menu bar is.  This is also consistent
with what happens on TTY frames in a build with X: tab-bar-height
returns zero.

Basil, can you please install such a change on the emacs-27 branch?  I
will then make another RC.